> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/printing-and-scanning.md).

# Printing and Scanning

## Enable

> Invoke the enable/disable printing/scanning command.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingScanning/Enable":{"put":{"tags":["2-Site settings//Printing/Scanning"],"summary":"Enable","description":"Invoke the enable/disable printing/scanning command.","operationId":"23af2df5-4f93-4a18-b796-2a072fca2fed","requestBody":{"description":"Printing/Scanning settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvokeEnablePrintingScanning"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvokeEnablePrintingScanning":{"required":["enable","id","objType","type"],"type":"object","properties":{"objType":{"$ref":"#/components/schemas/PrintingScanningServerObjType"},"id":{"type":"integer","description":"<para type=\"description\">The Printing/Scanning settings to enable/disable.</para>","format":"int32"},"type":{"$ref":"#/components/schemas/UnivPrintScanType"},"enable":{"type":"boolean","description":"<para type=\"description\">Specifies whether to enable/disable the Printing/Scanning settings.</para>"}},"additionalProperties":false},"PrintingScanningServerObjType":{"enum":[["1 = RDSHost","2 = Provider","88 = AVDHostPool"]],"type":"string","description":"<para type=\"synopsis\">RAS Server Object Types</para>\r\n<para type=\"description\"></para>","format":"int32"},"UnivPrintScanType":{"enum":[["1 = Print","2 = Scan_Twain","4 = Scan_Wia"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Univeral Printing/Scanning Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/printing-and-scanning.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
